PP-FB
1
BRL-CAD
BRL-CAD

# pp-fb

display a GIFT pretty-picture file on a frame buffer

      pp-fb
        -F framebuffer
        -W out_width
        -N out_height
        file.pp

## DESCRIPTION

Pp-fb reads file.pp, determines the size, and displays a color shaded image represented therein on a frame buffer. The .pp files are the output of the pretty-picture option of the gift 1V ray-tracing program. The options are standard brlcad 1 options specifying framebuffer, output width, and output height. Some information pertaining to the color assignment of region identification numbers and the background color is prompted for on the standard input. The environment variable `FB_FILE` is used to select the display device (see brlcad 1). If this variable is not set, the default device for your system will be used. Commands for manipulating the display are documented on-line. The file format is not documented anywhere.

## SEE ALSO

gift 1V, brlcad 1.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1986-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.